Subject: Re: [CAN] [RFC] skb->iif usage and vcan driver background

From: Oliver Hartkopp <[email-masked]>
Date: Mon, 25 Jun 2007 16:50:00 +0200

Patrick McHardy wrote:
>
> I normally wouldn't have gone reading some PDF to explain a patch,
> but this one was really worth it .. a couple of pictures of cars
> with four applications using can0-can3 :)
>   

This is a really cool insight for car manufacturers employees. If you
miss them out you'll definitely be asked "And where is the car in this
picture?" :-))

> Your last slide brings it to the point: "... configured at module
> load time for the needed use-case:
> - number of created vcan devices (current default=4)
> - perform the loopback on driver level (current default=off)"
>
> So you *do* have parameters for configuration and you're using the
> wrong interface. Either drop them or use the correct interface.
>   

Ok! Got the message!
New vcan with netlink interface coming soon.

Thanks for review & regards,
Oliver